Subject: Re: CCL:Quanta, Alphas & Xterms (Was: "Running Quanta remotely" & "Quanta on AlphaStation clones?")

From: Leif Laaksonen <[email-masked]>
Date: Sat, 25 Jan 1997 10:58:34 +0200 (EET)

Hi,

I myself believe that X and X terminals are almost obsolete in the sence
of molecular modelling. Today we have OpenGL (as pointed out by Konrad
Hinsen) which is available for almost any thinkable hardware. The problem
still is the graphical user interface. By using for example Tcl/Tk and
OpenGL it is possible to write modelling applications that run on all
platforms from Windows NT/95 to Unix boxes. 

The whole modelling business is in deep problem because it would be
possible to run all the commercial modelling applications on inexpensive
PC:s but it would be impossible for the commercial software houses to
charge the horrifying prices we have to pay today for the software because
the PC:s are so inexpensive and noone would pay five times more for the
software than for the hardware. In fact I see the reluctance, by the
software houses, to port applications to the DEC platform as the last
desperate attempt to only support Unix versions, because DEC is also
active in the Win NT field.

To clearify my opinion I'm not working for DEC and I don't even
collaborate with them but I believe they have a sound attitude.

Regards,

-leif laaksonen

On Fri, 24 Jan 1997, Konrad Hinsen wrote:

> > it).  I tend to associate this narrow hardware dependance with the
> > personal computer world; it seems to me extraordinary (not to say
> > archaic) by Unix world standards.  I guess I'm an idealist...
> 
> Writing portable graphics applications used to be a nightmare, and
> even today it remains difficult. Before OpenGL (which isn't that old)
> there was no 3d graphics library which could pretend to be powerful
> enough and universal. And even OpenGL is not generally usable via X
> terminals.  I guess we'll have to wait a few more years before remote
> (and efficient!) use of 3d graphics programs becomes standard.
> 
> Right now the most reasonable option would be to provide each program
> in two versions: one using optimized OpenGL for local graphics hardware,
> and one using Mesa for remote use. That's for example the approach used
> by VRweb (a free VRML viewer).
> 
> I find the lack of Alpha support more surprising, given the popularity
> of Alphas today. But it is not untypical for commercial Unix software
> to be available on selected systems only. Keeping several ports up to
> date and providing support for it is, after all, an expensive task.
> Having a clear market dominance makes the decision to limit systems
> even easier. In fact, this is one of the main arguments for free
> software in the sense of the FSF: anyone is free to port such programs
> to any hardware, so it has a good chance of happening.
> 
> -- 
> -------------------------------------------------------------------------------
> Konrad Hinsen                          | E-Mail: [email-masked]
> Laboratoire de Dynamique Moleculaire   | Tel.: +33-4.76.88.99.28
> Institut de Biologie Structurale       | Fax:  +33-4.76.88.54.94
> 41, av. des Martyrs                    | Deutsch/Esperanto/English/
> 38027 Grenoble Cedex 1, France         | Nederlands/Francais
> -------------------------------------------------------------------------------
> 
> -------This is added Automatically by the Software--------
> -- Original Sender Envelope Address: [email-masked]
> -- Original Sender From: Address: [email-masked]
> [email-masked]: Everybody | [email-masked]: Coordinator
> [email-masked]: HELP CHEMISTRY or HELP SEARCH | Gopher: www.ccl.net 73
> Anon. ftp: www.ccl.net   | [email-masked] -- archive search
>              Web: http://www.ccl.net/chemistry.html 
> 
> 

-------------------------------------------------------------------
Leif Laaksonen                     |  
Center for Scientific Computing    | Phone:      358 9 4572378
P.O. Box 405                       | Mobile:     358 400425203
FIN-02101 Espoo                    | Telefax:    358 9 4572302
FINLAND                            | Mail:  [email-masked]
-------- URL: http://laaksonen.csc.fi/leif.laaksonen.html ---------

---

From: Walter Polkosnik <[email-masked]>
Date: Fri, 24 Jan 1997 14:52:55 -0500 (EST)

On Fri, 24 Jan 1997, Gabriel Berriz wrote:

> 
> This sure is a confusing issue.  I recall hearing before something
> like what you write here, and I have had some e-mail responses along
> the same lines as yours, but below are a couple excerpts from e-mail
> sent to me by two different MSI folks in response to this CCL query:
> 
>    As far as running Quanta remotely, this can *not* be done using
>    X emulation.  We had, at some time in the past, done some work
>    running Quanta with DGL, and the core visualization seemed to
>    run fine, but it was quite slow, and there were difficulties with
>    a lot of the more expert functions.
> 
>    ...QUANTA will not work over X, it requires local graphics
>    hardware.
> 

I was responding with my experience with earlier verions of Quanta, I
wasn't aware they removed this facility in the latest version. I don't
remeber any difficulties with the 'expert' functions (whatever they are),
but I do remeber it being slow at times, mainly when accessing it from
another building - but this was probably due to the network. Whenever I was
on the local ethernet segment things didn't seem much slower at all.

It's too bad it's not supported at all anymore, it's very useful to be able
to do things remotely at times.

In fact, I know a lab which has gone over to exactly your scheme (servers +
X terminals), but fortunately they use other software. 

--
Walter Polkosnik                             [email-masked]  
Physics Department                           http://www.physics.qc.edu/~walt
Queens College, City University of New York  (718)-997-3364 voice
Credo quia absurdum est.                     (718)-997-3349 fax